Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.local
Class WindowsFileName

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileName
          org.apache.commons.vfs.provider.local.LocalFileName
              org.apache.commons.vfs.provider.local.WindowsFileName

All Implemented Interfaces:
  Comparable, FileName

public class WindowsFileName
extends LocalFileName

A local file URI.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from interface org.apache.commons.vfs.FileName
`ROOT_PATH, SEPARATOR, SEPARATOR_CHAR`

Constructor Summary
`protected` | `WindowsFileName(String scheme, String rootFile, String path, FileType type)`

Method Summary
`protected void` | `appendRootUri(StringBuffer buffer, boolean addPassword)` Builds the root URI for this file name.
`FileName` | `createName(String path, FileType type)` Factory method for creating name instances.

Methods inherited from class org.apache.commons.vfs.provider.local.LocalFileName
`getRootFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileName
`checkName, compareTo, createURI, equals, getBaseName, getDepth, getExtension, getFriendlyURI, getParent, getPath, getPathDecoded, getRelativeName, getRoot, getRootURI, getScheme, getType, getURI, getUriTrailer, hashCode, isAncestor, isDescendent, isDescendent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowsFileName

    protected WindowsFileName(String scheme,
                              String rootFile,
                              String path,
                              FileType type)

Method Detail

### createName

    public FileName createName(String path,
                               FileType type)

  Factory method for creating name instances.

  Overrides:
    `createName` in class `LocalFileName`

### appendRootUri

    protected void appendRootUri(StringBuffer buffer,
                                 boolean addPassword)

  Builds the root URI for this file name.

  Overrides:
    `appendRootUri` in class `LocalFileName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.